Infoworks Rest API V3

Server
{protocol}://{host}:{port}/v3
Server Variables

Get `authentication_token` with `username` and `password`.

Get authentication_token with username and password.

Auth
Query String
service_idnumber

Used to represent the way user has login into infoworks

GET /security/authenticate
Copy
Responses
200

Authentication success response

objectobject
messagestring
resultobject
authentication_tokenstring
is_authenticatedboolean
user_idstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Get `authentication_token` with `refresh_token`.

Get authentication_token with refresh_token.

Auth
Headers
Authorizationstring

refresh token auth header put Basic {refresh_token}

GET /security/token/access
Copy
Responses
200

Authentication success response

objectobject
messagestring
resultobject
authentication_tokenstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Purge authentication token

Purges authentication token and logs out the user. The user will need to generate a new authentication token for subsequent API calls.

Auth
DELETE /security/token/access
Copy
Responses
200

ok

objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Validate `authentication_token` if its active or not.

Validate authentication_token if its active or not.

Auth
GET /security/token/validate
Copy
Responses
200

Valid Token Response

objectobject
messagestring
resultobject
is_validboolean
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Regenerate Refresh Token and blacklist old token.

Regenerate Refresh Token and blacklist old token.

Auth
DELETE /security/token/refresh
Copy
Responses
200
objectobject
messagestring
resultstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Authorise User.

Authorise User.

Auth
Request Body
objectobject
entityTypestring
actionstring
entityIdstring
POST /security/authorise/user
Copy
Responses
200
objectobject
messagestring
resultobject
delegation_tokenstring
is_authorisedboolean
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get SAML Redirect URL.

Get SAML Redirect URL.

Auth
GET /security/sso/initialise
Copy
Responses
200

Valid Token Response

objectobject
Locationstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

LDAP Authorise User.

LDAP Authorise User.

Auth
Request Body
objectobject
userIdsarray[string]
searchAttributestring
POST /security/get/user/data
Copy
Responses
200
objectobject
usersarray[string]
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

bulk sync (add/update) ldap user by providing login attribute

bulk sync (add/update) ldap user by providing login attribute

Auth
Request Body
objectobject
search_onstring
search_listarray[string]
should_updateboolean

Default: true

should_addboolean

Default: true

POST /security/bulk-ldap-sync
Copy
Responses
200

bulk ldap users sync response

objectobject
messagestring
resultobject
new_users_countinteger
existing_user_countinteger
addedarray[object]
emailstring
idstring
updatedarray[object]
emailstring
idstring
failedarray[object]
emailstring
idstring
errorstring
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy